DataGenerator Struct Reference

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/octree/test/data_source.hpp>`

## Classes

struct | ConvPoint

## Public Types

typedef pcl::gpu::Octree::PointType | PointType

## Public Member Functions

| DataGenerator ()
void | operator() ()
void | bruteForceSearch (bool log=false, float radius=-1.f)
void | printParams () const

## Public Attributes

size_t | data_size
size_t | tests_num
float | cube_size
float | max_radius
float | shared_radius
std::vector< PointType > | points
std::vector< PointType > | queries
std::vector< float > | radiuses
std::vector< std::vector< int > > | bfresutls
std::vector< int > | indices

## Detailed Description

Definition at line 51 of file data_source.hpp.

## Member Typedef Documentation

## PointType

typedef pcl::gpu::Octree::PointType DataGenerator::PointType

Definition at line 53 of file data_source.hpp.

## Constructor & Destructor Documentation

## DataGenerator()

DataGenerator::DataGenerator | ( |  | ) |

inline

Definition at line 70 of file data_source.hpp.

## Member Function Documentation

## bruteForceSearch()

void DataGenerator::bruteForceSearch | ( | bool | log = `false`,
|  | float | radius = `-1.f`
| ) |  |

inline

Definition at line 103 of file data_source.hpp.

References tests_num.

## operator()()

void DataGenerator::operator() | ( |  | ) |

inline

Definition at line 76 of file data_source.hpp.

References data_size, and tests_num.

## printParams()

void DataGenerator::printParams | ( |  | ) | const

inline

Definition at line 144 of file data_source.hpp.

## Member Data Documentation

## bfresutls

std::vector< std::vector<int> > DataGenerator::bfresutls

Definition at line 66 of file data_source.hpp.

## cube_size

float DataGenerator::cube_size

Definition at line 58 of file data_source.hpp.

## data_size

size_t DataGenerator::data_size

Definition at line 55 of file data_source.hpp.

Referenced by operator()().

## indices

std::vector<int> DataGenerator::indices

Definition at line 68 of file data_source.hpp.

## max_radius

float DataGenerator::max_radius

Definition at line 59 of file data_source.hpp.

## points

std::vector<PointType> DataGenerator::points

Definition at line 63 of file data_source.hpp.

## queries

std::vector<PointType> DataGenerator::queries

Definition at line 64 of file data_source.hpp.

## radiuses

std::vector<float> DataGenerator::radiuses

Definition at line 65 of file data_source.hpp.

## shared_radius

float DataGenerator::shared_radius

Definition at line 61 of file data_source.hpp.

## tests_num

size_t DataGenerator::tests_num

Definition at line 56 of file data_source.hpp.

Referenced by bruteForceSearch(), and operator()().

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/octree/test/data_source.hpp